Email this to a friend
 
posted on August 23rd 2007, at 21:09
by lunarg
Had a bit of a problem with re-emerging app-arch/rpm-4.4.6-r3 after an update of libexpat: the emerge failed with a whole bunch of compiler messages.
After a quick search on Gentoo Forums, I found a post about someone who has had the same problem, and was able to solve it.

About halfway the merge, the compile failed. At the beginning of a long list, I found these error messages:

Quote
i686-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I.. -I. -I.. -I/usr/include/beecrypt -I../lua/include -I../lua/local -I../misc -march=pentium4 -O3 -pipe -fomit-frame-pointer -fPIC -DPIC -D_GNU_SOURCE -D_REENTRANT -Wall -Wpointer-arith -Wstrict-prototypes -Wmissing-prototypes -Wno-char-subscripts -MT rpmdav.lo -MD   ...

Send a link to this post to yourself or a friend.

Send to e-mail:
Your name:
Your e-mail:
Captcha:
Type the letters and numbers as shown.
/get/captcha/1638131899
Not readable? Get another.
 
Information entered is solely used for sending a one-time e-mail, and is not retained and/or passed on to a third party.